<div class="scrolContainer">
    <mat-stepper #stepper class="scroleable">
        <mat-step>
            <div class="centrado">
                
                <mat-form-field class="margenIzq" style="max-width: 200px ;" appearance="outline">
                    <mat-label>Nombre</mat-label>
                    <input matInput [(ngModel)]="value" type="text" placeholder="Buscar receta" #txtQuery (keyup)="onQueryChanged(txtQuery.value)">
                        <button *ngIf="value" matSuffix mat-icon-button aria-label="Clear" (click)="value=''">
                            <mat-icon>close</mat-icon>
                        </button>
                </mat-form-field>  

                <mat-form-field class="margenIzq" appearance="outline">
                    <mat-label>Estilo</mat-label>
                    <mat-select [(ngModel)]="selectedCuisine" name="cuisine">
                        <mat-option *ngFor="let cuisine of cuisineArray" [value]="cuisine.value">
                        {{cuisine.viewValue}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>      
                
                <mat-form-field class="margenIzq" appearance="outline">
                    <mat-label>Tipos</mat-label>
                    <mat-select [(ngModel)]="selectedType" name="mealType">
                        <mat-option *ngFor="let mealType of mealTypeArray" [value]="mealType.value">
                        {{mealType.viewValue}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>      
            
                <mat-form-field class="margenIzq" appearance="outline">
                    <mat-label>Dietas</mat-label>
                    <mat-select [(ngModel)]="selectedDiet" name="diet">
                        <mat-option *ngFor="let diet of dietaArray" [value]="diet.value">
                        {{diet.viewValue}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>      
                
                <mat-form-field class="margenIzq" appearance="outline">
                    <mat-label>Intolerancias</mat-label>
                    <mat-select [(ngModel)]="selectedIntolerance" name="intolerance">
                        <mat-option *ngFor="let intolerance of intolerancesArray" [value]="intolerance.value">
                        {{intolerance.viewValue}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>   
            <div>              
                <button color="accent" mat-raised-button matStepperNext (click)="buscar(txtQuery.value)">Buscar</button>
            </div>
        </div>

        </mat-step>
        <mat-step>
        <h2 class="centrado">Seleccione un Plato</h2>
            <mat-grid-list [cols]="cols" rowHeight="3:1" [gutterSize]="'5px'" >
                <mat-grid-tile
                    *ngFor="let rta of rtaSearch" (click)="selectPlato(rta.id)">
                    <img src="{{rta.image}}" alt="{{rta.title}}" matTooltip="{{rta.title}}" matTooltipPosition="above">                
            </mat-grid-tile>
        </mat-grid-list>      
        <h2 class="centrado" *ngIf="selectedPlato">Plato Elegido: {{selectedPlato.title}}</h2>
        <div class="centrado padding">
            <button color="accent" mat-raised-button mat-dialog-close (click)="agregarPlato()" [disabled]="invalidaBoton">Agregar Plato</button>
            <button class="margenIzq" color="warn" mat-raised-button matStepperPrevious>Volver</button>       
        </div>
        </mat-step>
    </mat-stepper>
</div>



    



